REL2GPX(1)

NAME
rel2gpx - create GPX-Tracks from OSM relation

SYNOPSIS
rel2gpx [options] <relation-Id>

DESCRIPTION
This script can download GPX tracks from a given OSM relation to feed it to your GPS device. Most relations are not ordered in one single line. The script tries to bring all parts into a reasonable order.

OPTIONS

    Relation-Id

    OSM Id of the to be exported relation. See also pption -f

-i file

    Read OSM-data from local file. If this option is missing data will be fetched from openstreetmap.org

-x file

    write XML-file in osm-format, which contains the data of all objects of the relation (only in connection with -i).

-r typ

    Work on all relations of type=route and route=typ (only in connection with -i). Possible values for typ: bicycle, hiking, train.

-f file

    Read relation-Ids from file (only in connection with -i). The text file can contain one Id per line. Lines starting with "#" will be ignored. You can also add comments to data lines.

-g

    Create a GPX track file.

-p

    Enable output of various plausibility checks.

-s

    Enable statistics output to STDOUT

-w

    Output statistics and plausibility checks into HTML file

-o

    Respect directions (oneway, forward/backward).

    The name of the GPX and HTML file will be created from the name of the relation inside the OSM database. If this does not exist the relation-Id will be used as name. When using options -f or -i the name will be created from the relation list or the OSM-file respectively.

SEE ALSO
Homepage is only in German:
  http://mr-unseld.de/?q=de/node/170

AUTHOR
This manual page was written by Andreas Tille <tille@debian.org> for the Debian distribution but can be freely used for any other purpose.